s2dvcube_to_netML<- function(obj, time_dim = "time", sdate_dim = "syear", 
                               lat_dim = "latitude", lon_dim = "longitude" ) {


DUM <- list()
	 
  dum <- MergeDims(obj$data, merge_dims = c(time_dim, sdate_dim), 
                   rename_dim= "time")

  dum <- Subset(dum, along = c("time", lat_dim, lon_dim), drop = "non-selected", 
	                        indices = list(1:dim(dum)["time"], 1:dim(dum)[lat_dim], 
                                               1:dim(dum)[lon_dim]))

  attributes(dum)["dimensions"] <- list(c("time", "lat", "lon"))
  attributes(dum)["dim"] <- list(as.numeric(dim(dum)))
  names(dim(dum)) <- NULL
  DUM$Data <- dum
  DUM$xyCoords$x <- as.numeric(obj$coords$lon)
  DUM$xyCoords$y <- as.numeric(obj$coords$lat)
  DUM$Dates$start <- format(obj$attrs$Dates, 
                            format = "%Y-%m-%d %Z") ## why do we have both start & end
  DUM$Dates$end <- format(obj$attrs$Dates, 
                          format = "%Y-%m-%d %Z") ## why do we have both start & end
  DUM$Variable <- list(varName = obj$attrs$Variable$varName, level = NULL)  ## I don't know how to retrieve the level from s2dv_cube object. 
  attributes(DUM$Variable)$names <- list ("varName", "level")
  attributes(DUM$Variable)$units <- get(DUM$Variable$varName, obj$attrs$Variable$metadata)$units
  attributes(DUM$Variable)$longname <- get(DUM$Variable$varName, 
                                           obj$attrs$Variable$metadata)$long_name
  attributes(DUM$Variable)$use_dictionary <- FALSE ## ?
  attributes(DUM$Variable)$description <- get(DUM$Variable$varName, 
                                              obj$attrs$Variable$metadata)$long_name ## ?
  attributes(DUM$Variable)$daily_agg_cellfun <- get(DUM$Variable$varName, 
                                                    obj$attrs$Variable$metadata)$cell_methods
  attributes(DUM$Variable)$monthly_agg_cellfun <- "none" ## this func is only for daily
  attributes(DUM$Variable)$verification_time <- "DD" ## ?
  return (DUM)
                               }